=== debian/control ===
Source: desktop-base
Section: x11
Priority: optional
Maintainer: Debian Desktop Team <debian-desktop@lists.debian.org>
Uploaders: Yves-Alexis Perez <corsac@debian.org>,
           Josselin Mouette <joss@debian.org>,
           Paul Tagliamonte <paultag@debian.org>,
           Aurélien COUDERC <coucouf@debian.org>
Build-Depends: debhelper (>= 11),
               librsvg2-bin,
               optipng,
# For the number in debian-logo-text
               fonts-quicksand
Rules-Requires-Root: no
Standards-Version: 4.3.0
Homepage: https://www.debian.org/devel/debian-desktop/
Vcs-Browser: https://salsa.debian.org/debian-desktop-team/desktop-base
Vcs-Git: https://salsa.debian.org/debian-desktop-team/desktop-base.git

Package: desktop-base
Architecture: all
Depends: librsvg2-common
Suggests: gnome | kde-standard | xfce4 | wmaker
Description: common files for the Debian Desktop
 This package contains various miscellaneous files which are used by
 Debian Desktop installations.  Currently, it provides some
 Debian-related artwork and themes, .desktop files containing links to
 Debian related material (suitable for placement on a user's desktop),
 and other common files between the available desktop environments
 such as GNOME and KDE.
