=== debian/changelog ===
desktop-base (10.0.2.lnd.4) unstable; urgency=medium

  * Changed the picture of grub in futureprototype-theme

 -- sangmeng <sangmeng@loongson.cn>  Mon, 18 Jul 2022 09:02:56 +0800

desktop-base (10.0.2.lnd.3) unstable; urgency=medium

  * Changed the pictures in grub in the futureprototype-theme directory.

    - The grub directory contains the grub startup background image 
  
 -- sangmeng <sangmeng@loongson.cn>  Wed, 15 Sep 2021 15:34:02 +0800
 

desktop-base (10.0.2.lnd2+edu1) unstable; urgency=medium

  * Fix version

 -- Ling Yang <lingyang@loongson.cn>  Fri, 16 Apr 2021 17:33:00 +0800

desktop-base (10.0.2.lnd2+1) unstable; urgency=medium

  * Add cartoon-girl wallpaper.

 -- Ling Yang <lingyang@loongson.cn>  Tue, 13 Apr 2021 19:01:12 +0800

desktop-base (10.0.2.lnd2) unstable; urgency=medium

  * Add loongson plymouth theme.

 -- wangming <wangming@loongson.cn>  Mon, 21 Dec 2020 19:00:41 +0800

desktop-base (10.0.2.lnd1) unstable; urgency=medium

  * Add loongson png for calamares 

 -- Huang Jia Wen <huangjiawen@loongson.con>  Fri 15 Nov 2020 09:20:30 +0000
