## desktop-base 10.0.2.lnd.edu2+nmu1

=== debian/changelog ===
desktop-base (10.0.2.lnd.edu2+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Tue, 15 Feb 2022 10:20:13 +0800

desktop-base (10.0.2.lnd.edu2) unstable; urgency=medium

  * Add LoongsonEdu wallpapers

 -- Ling Yang <lingyang@loongson.cn>  Wed, 12 Jan 2022 14:16:19 +0800

desktop-base (10.0.2.lnd.edu1) unstable; urgency=medium

  * Initialized from upstream release

 -- Ling Yang <lingyang@loongson.cn>  Wed, 12 Jan 2022 13:57:48 +0800
