=== debian/control ===
--- 
+++ 
@@ -5,12 +5,13 @@
 Uploaders: Yves-Alexis Perez <corsac@debian.org>,
            Josselin Mouette <joss@debian.org>,
            Paul Tagliamonte <paultag@debian.org>,
-           Aurélien COUDERC <coucouf@debian.org>
+           Aurélien COUDERC <coucouf@debian.org>,
+           Jonathan Carter <jcc@debian.org>
 Build-Depends: debhelper (>= 11),
                librsvg2-bin,
                optipng,
 # For the number in debian-logo-text
-               fonts-quicksand
+               fonts-quicksand,
 Rules-Requires-Root: no
 Standards-Version: 4.3.0
 Homepage: https://www.debian.org/devel/debian-desktop/
@@ -19,7 +20,10 @@
 
 Package: desktop-base
 Architecture: all
-Depends: librsvg2-common
+Depends: librsvg2-common,
+# For the login background with logo
+         fonts-quicksand,
+Recommends: plymouth-label
 Suggests: gnome | kde-standard | xfce4 | wmaker
 Description: common files for the Debian Desktop
  This package contains various miscellaneous files which are used by
