=== debian/changelog ===
desktop-base (10.0.3ubuntu1) eoan; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/postinst, debian/prerm: Don't apply Debian branding for GRUB

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 28 Aug 2019 14:01:30 -0700
