## desktop-base 11.0.1

=== debian/changelog ===
desktop-base (11.0.1) unstable; urgency=medium

  * New release
  * Update standards version to 4.5.0
  * Bump debhelper version to 13
  * Add start of homeworld theme integration

 -- Jonathan Carter <jcc@debian.org>  Wed, 11 Nov 2020 19:19:22 +0200
