## desktop-base 11.0.2

=== debian/changelog ===
desktop-base (11.0.2) unstable; urgency=medium

  [ Holger Levsen ]
  * README: Homeworld is the default theme for bullseye.

  [ Aurélien COUDERC ]
  * Improve Plymouth boot screen for Homeworld theme. (Closes: #956426)
  * Align debian+text logos with Homeworld color palette, put bump Debian
    version to 11 for login screens.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 02 Mar 2021 00:37:18 +0100
