=== debian/changelog ===
desktop-base (11.0.3) unstable; urgency=medium

  * Make Debian logo and text darker on GRUB backgrounds to avoid grub’s own
    text being unreadable on top of these. (Closes: #983884)
  * Also remove futurePrototype alternative for desktop-theme in prerm
    maintainer script. (Closes: #985267)
  * Fix Name metadata for homeworld theme’s wallpaper.
  * Also fix plymouth text display in multi-screen configurations for previous
    themes: futureprototype, joy, lines, moonlight, softwaves (fixes more
    cases of #956426).

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 21 Mar 2021 22:35:17 +0100
