=== debian/control ===
--- 
+++ 
@@ -1,18 +1,17 @@
 Source: desktop-base
 Section: x11
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Desktop Team <debian-desktop@lists.debian.org>
+Maintainer: Debian Desktop Team <debian-desktop@lists.debian.org>
 Uploaders: Yves-Alexis Perez <corsac@debian.org>,
            Aurélien COUDERC <coucouf@debian.org>,
            Jonathan Carter <jcc@debian.org>
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper (>= 13),
                librsvg2-bin,
                optipng,
 # For the number in debian-logo-text
                fonts-quicksand,
 Rules-Requires-Root: no
-Standards-Version: 4.3.0
+Standards-Version: 4.5.0
 Homepage: https://www.debian.org/devel/debian-desktop/
 Vcs-Browser: https://salsa.debian.org/debian-desktop-team/desktop-base
 Vcs-Git: https://salsa.debian.org/debian-desktop-team/desktop-base.git
