=== debian/changelog ===
desktop-base (11.0.3ubuntu1) impish; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - debian/postinst, debian/prerm: Don't apply Debian branding for GRUB

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 27 Apr 2021 22:37:20 -0700
