## desktop-base 12.0.1

=== debian/changelog ===
desktop-base (12.0.1) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove 1 obsolete maintscript entry.
  * Update standards version to 4.6.1, no changes needed.
  * Update lintian override info format in d/desktop-base.lintian-overrides on
    line 3-6.

  [ Jonathan Carter ]
  * Initial Emerald theme integration
   - Update copyright years
   - Start work in emerald-theme/ directory 
   - Update plymouth background
   - Update GNOME metadata
   - Update alternatives in postinst
   - Update Makefile with new entries

 -- Jonathan Carter <jcc@debian.org>  Sun, 11 Dec 2022 13:45:45 +0200
