## desktop-base 12.0.2

=== debian/changelog ===
desktop-base (12.0.2) unstable; urgency=medium

  * Fix emerald theme paths in desktop xml file (Closes: #1026264) 

 -- Jonathan Carter <jcc@debian.org>  Fri, 23 Dec 2022 19:31:20 +0200
