## desktop-base 12.0.2ubuntu1

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,6 @@
-GRUB_THEMES=homeworld-theme/grub\
-    futureprototype-theme/grub\
+GRUB_THEMES=emerald-theme/grub\
+	homeworld-theme/grub\
+	futureprototype-theme/grub\
 	moonlight-theme/grub\
 	softwaves-theme/grub\
 	lines-theme/grub\
