=== debian/changelog ===
desktop-base (12.0.2ubuntu1) lunar; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - debian/postinst, debian/prerm: Don't apply Debian branding for GRUB

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 24 Jan 2023 20:15:49 -0800
