## desktop-base 12.0.3

=== Makefile ===
--- 
+++ 
@@ -53,9 +53,22 @@
 	mkdir -p $(DESTDIR)/usr/share/plymouth/themes
 	ln -s ../../desktop-base/active-theme/plymouth $(DESTDIR)/usr/share/plymouth/themes/debian-theme
 
-	# Set Plasma 5/KDE default wallpaper
-	install -d $(DESTDIR)/usr/share/plasma/shells/org.kde.plasma.desktop/contents/updates
-	$(INSTALL_DATA) defaults/plasma5/desktop-base.js $(DESTDIR)/usr/share/plasma/shells/org.kde.plasma.desktop/contents/updates/
+	# Set Plasma 5 customizations
+	install -d $(DESTDIR)/etc/xdg/autostart
+	$(INSTALL_DATA) defaults/kde/etc/xdg/kcm-about-distrorc $(DESTDIR)/etc/xdg
+	$(INSTALL_DATA) defaults/kde/etc/xdg/kickoffrc $(DESTDIR)/etc/xdg
+	$(INSTALL_DATA) $(wildcard defaults/kde/etc/xdg/autostart/*) $(DESTDIR)/etc/xdg/autostart/
+	install -d $(DESTDIR)/etc/xdg/plasma-workspace/env
+	$(INSTALL_DATA) $(wildcard defaults/kde/etc/xdg/plasma-workspace/env/*) $(DESTDIR)/etc/xdg/plasma-workspace/env/
+	install -d $(DESTDIR)/usr/share/desktop-base/kf5-settings
+	$(INSTALL_DATA) $(wildcard defaults/kde/kf5-settings/*) $(DESTDIR)/usr/share/desktop-base/kf5-settings/
+	install -d $(DESTDIR)/usr/share/plasma/look-and-feel/org.debian.desktop/contents
+	$(INSTALL_DATA) defaults/kde/plasma/look-and-feel/org.debian.desktop/metadata.json $(DESTDIR)/usr/share/plasma/look-and-feel/org.debian.desktop
+	$(INSTALL_DATA) defaults/kde/plasma/look-and-feel/org.debian.desktop/contents/defaults $(DESTDIR)/usr/share/plasma/look-and-feel/org.debian.desktop/contents
+	install -d $(DESTDIR)/usr/share/plasma/look-and-feel/org.debian.desktop/contents/layouts
+	$(INSTALL_DATA) $(wildcard defaults/kde/plasma/look-and-feel/org.debian.desktop/contents/layouts/*) $(DESTDIR)/usr/share/plasma/look-and-feel/org.debian.desktop/contents/layouts/
+	install -d $(DESTDIR)/usr/share/plasma/look-and-feel/org.debian.desktop/contents/previews
+	$(INSTALL_DATA) $(wildcard defaults/kde/plasma/look-and-feel/org.debian.desktop/contents/previews/*) $(DESTDIR)/usr/share/plasma/look-and-feel/org.debian.desktop/contents/previews/
 
 	# Xfce 4.6
 	mkdir -p $(DESTDIR)/usr/share/desktop-base/profiles/xdg-config/xfce4/xfconf/xfce-perchannel-xml
@@ -77,7 +90,7 @@
 
 	### Wallpapers
 	install -d $(DESTDIR)/usr/share/desktop-base/spacefun-theme/wallpaper/contents/images
-	$(INSTALL_DATA) spacefun-theme/wallpaper/metadata.desktop $(DESTDIR)/usr/share/desktop-base/spacefun-theme/wallpaper
+	$(INSTALL_DATA) spacefun-theme/wallpaper/metadata.json $(DESTDIR)/usr/share/desktop-base/spacefun-theme/wallpaper
 	$(INSTALL_DATA) spacefun-theme/wallpaper/gnome-background.xml $(DESTDIR)/usr/share/desktop-base/spacefun-theme/wallpaper
 	$(INSTALL_DATA) $(wildcard spacefun-theme/wallpaper/contents/images/*) $(DESTDIR)/usr/share/desktop-base/spacefun-theme/wallpaper/contents/images/
 	$(INSTALL_DATA) spacefun-theme/gnome-wp-list.xml $(DESTDIR)/usr/share/gnome-background-properties/debian-spacefun.xml
@@ -101,7 +114,7 @@
 
 	### Wallpapers
 	install -d $(DESTDIR)/usr/share/desktop-base/joy-theme/wallpaper/contents/images
-	$(INSTALL_DATA) joy-theme/wallpaper/metadata.desktop $(DESTDIR)/usr/share/desktop-base/joy-theme/wallpaper
+	$(INSTALL_DATA) joy-theme/wallpaper/metadata.json $(DESTDIR)/usr/share/desktop-base/joy-theme/wallpaper
 	$(INSTALL_DATA) joy-theme/wallpaper/gnome-background.xml $(DESTDIR)/usr/share/desktop-base/joy-theme/wallpaper
 	$(INSTALL_DATA) $(wildcard joy-theme/wallpaper/contents/images/*) $(DESTDIR)/usr/share/desktop-base/joy-theme/wallpaper/contents/images/
 	$(INSTALL_DATA) joy-theme/gnome-wp-list.xml $(DESTDIR)/usr/share/gnome-background-properties/debian-joy.xml
@@ -111,7 +124,7 @@
 
 	### Lockscreen
 	install -d $(DESTDIR)/usr/share/desktop-base/joy-theme/lockscreen/contents/images
-	$(INSTALL_DATA) joy-theme/lockscreen/metadata.desktop $(DESTDIR)/usr/share/desktop-base/joy-theme/lockscreen
+	$(INSTALL_DATA) joy-theme/lockscreen/metadata.json $(DESTDIR)/usr/share/desktop-base/joy-theme/lockscreen
 	$(INSTALL_DATA) joy-theme/lockscreen/gnome-background.xml $(DESTDIR)/usr/share/desktop-base/joy-theme/lockscreen
 	$(INSTALL_DATA) $(wildcard joy-theme/lockscreen/contents/images/*) $(DESTDIR)/usr/share/desktop-base/joy-theme/lockscreen/contents/images/
 	# Lock screen symlink for KDE
@@ -127,7 +140,7 @@
 
 	### Wallpapers
 	install -d $(DESTDIR)/usr/share/desktop-base/joy-inksplat-theme/wallpaper/contents/images
-	$(INSTALL_DATA) joy-inksplat-theme/wallpaper/metadata.desktop $(DESTDIR)/usr/share/desktop-base/joy-inksplat-theme/wallpaper
+	$(INSTALL_DATA) joy-inksplat-theme/wallpaper/metadata.json $(DESTDIR)/usr/share/desktop-base/joy-inksplat-theme/wallpaper
 	$(INSTALL_DATA) joy-inksplat-theme/wallpaper/gnome-background.xml $(DESTDIR)/usr/share/desktop-base/joy-inksplat-theme/wallpaper
 	$(INSTALL_DATA) $(wildcard joy-inksplat-theme/wallpaper/contents/images/*) $(DESTDIR)/usr/share/desktop-base/joy-inksplat-theme/wallpaper/contents/images/
 	$(INSTALL_DATA) joy-inksplat-theme/gnome-wp-list.xml $(DESTDIR)/usr/share/gnome-background-properties/debian-joy-inksplat.xml
@@ -135,7 +148,7 @@
 	install -d $(DESTDIR)/usr/share/wallpapers
 	cd $(DESTDIR)/usr/share/wallpapers && ln -s /usr/share/desktop-base/joy-inksplat-theme/wallpaper JoyInksplat
 	### Lockscreen (same as Joy)
-	cd $(DESTDIR)/usr/share/desktop-base/joy-inksplat-theme && ln -s /usr/share/desktop-base/joy-theme/lockscreen lockscreen
+	cd $(DESTDIR)/usr/share/desktop-base/joy-inksplat-theme && ln -s /usr/share/desktop-base/joy-theme/grub grub && ln -s /usr/share/desktop-base/joy-theme/lockscreen lockscreen && ln -s /usr/share/desktop-base/joy-theme/login login
 
 
 	# Lines theme (Jessie’s default)
@@ -150,7 +163,7 @@
 
 	### Wallpapers
 	install -d $(DESTDIR)/usr/share/desktop-base/lines-theme/wallpaper/contents/images
-	$(INSTALL_DATA) lines-theme/wallpaper/metadata.desktop $(DESTDIR)/usr/share/desktop-base/lines-theme/wallpaper
+	$(INSTALL_DATA) lines-theme/wallpaper/metadata.json $(DESTDIR)/usr/share/desktop-base/lines-theme/wallpaper
 	$(INSTALL_DATA) lines-theme/wallpaper/gnome-background.xml $(DESTDIR)/usr/share/desktop-base/lines-theme/wallpaper
 	$(INSTALL_DATA) $(wildcard lines-theme/wallpaper/contents/images/*) $(DESTDIR)/usr/share/desktop-base/lines-theme/wallpaper/contents/images/
 	$(INSTALL_DATA) lines-theme/gnome-wp-list.xml $(DESTDIR)/usr/share/gnome-background-properties/debian-lines.xml
@@ -160,7 +173,7 @@
 
 	### Lockscreen
 	install -d $(DESTDIR)/usr/share/desktop-base/lines-theme/lockscreen/contents/images
-	$(INSTALL_DATA) lines-theme/lockscreen/metadata.desktop $(DESTDIR)/usr/share/desktop-base/lines-theme/lockscreen
+	$(INSTALL_DATA) lines-theme/lockscreen/metadata.json $(DESTDIR)/usr/share/desktop-base/lines-theme/lockscreen
 	$(INSTALL_DATA) lines-theme/lockscreen/gnome-background.xml $(DESTDIR)/usr/share/desktop-base/lines-theme/lockscreen
 	$(INSTALL_DATA) $(wildcard lines-theme/lockscreen/contents/images/*) $(DESTDIR)/usr/share/desktop-base/lines-theme/lockscreen/contents/images/
 	# Lock screen symlink for KDE
@@ -180,7 +193,7 @@
 
 	### Wallpapers
 	install -d $(DESTDIR)/usr/share/desktop-base/softwaves-theme/wallpaper/contents/images
-	$(INSTALL_DATA) softwaves-theme/wallpaper/metadata.desktop $(DESTDIR)/usr/share/desktop-base/softwaves-theme/wallpaper
+	$(INSTALL_DATA) softwaves-theme/wallpaper/metadata.json $(DESTDIR)/usr/share/desktop-base/softwaves-theme/wallpaper
 	$(INSTALL_DATA) softwaves-theme/wallpaper/gnome-background.xml $(DESTDIR)/usr/share/desktop-base/softwaves-theme/wallpaper
 	$(INSTALL_DATA) $(wildcard softwaves-theme/wallpaper/contents/images/*) $(DESTDIR)/usr/share/desktop-base/softwaves-theme/wallpaper/contents/images/
 	$(INSTALL_DATA) softwaves-theme/gnome-wp-list.xml $(DESTDIR)/usr/share/gnome-background-properties/debian-softwaves.xml
@@ -190,23 +203,3 @@
 
 	### Lockscreen
 	install -d $(DESTDIR)/usr/share/desktop-base/softwaves-theme/lockscreen/contents/images
-	$(INSTALL_DATA) softwaves-theme/lockscreen/metadata.desktop $(DESTDIR)/usr/share/desktop-base/softwaves-theme/lockscreen
-	$(INSTALL_DATA) softwaves-theme/lockscreen/gnome-background.xml $(DESTDIR)/usr/share/desktop-base/softwaves-theme/lockscreen
-	$(INSTALL_DATA) $(wildcard softwaves-theme/lockscreen/contents/images/*) $(DESTDIR)/usr/share/desktop-base/softwaves-theme/lockscreen/contents/images/
-	# Lock screen symlink for KDE
-	install -d $(DESTDIR)/usr/share/wallpapers
-	cd $(DESTDIR)/usr/share/wallpapers && ln -s /usr/share/desktop-base/softwaves-theme/lockscreen SoftWavesLockScreen
-
-	# futurePrototype theme (Buster’s default)
-	### Plymouth theme
-	install -d $(DESTDIR)/usr/share/plymouth/themes/futureprototype
-	$(INSTALL_DATA) $(wildcard futureprototype-theme/plymouth/*) $(DESTDIR)/usr/share/plymouth/themes/futureprototype
-	install -d $(DESTDIR)/usr/share/desktop-base/futureprototype-theme
-	cd $(DESTDIR)/usr/share/desktop-base/futureprototype-theme && ln -s /usr/share/plymouth/themes/futureprototype plymouth
-
-	### Login background
-	install -d $(DESTDIR)/usr/share/desktop-base/futureprototype-theme/login
-	$(INSTALL_DATA) $(wildcard futureprototype-theme/login/*) $(DESTDIR)/usr/share/desktop-base/futureprototype-theme/login
-
-	### Wallpapers
-	install -d $(DESTDIR)/usr/share/desktop-base/futureprototype-theme/wallpaper/contents/images
