=== debian/changelog ===
desktop-base (12.0.3) UNRELEASED; urgency=medium

  * Update plymouth theme to implement Juliette’s proposal.
  * Fix and improve Plasma desktop customization. (Closes: #954093)
  * Update logos to Debian version 12. (Closes: #1026464)
  * Improve grub theme. (Closes: #1027301)
  * Remove older debian version numbers from assets. (Closes: #989822)
  * Fix missing links in joy inksplat theme. (Closes: #1023148)
  * Migrate wallpaper metadata from ini to json.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 10 Feb 2023 23:38:10 +0100
