=== debian/control ===
--- 
+++ 
@@ -1,12 +1,12 @@
 Source: desktop-base
 Section: x11
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Desktop Team <debian-desktop@lists.debian.org>
+Maintainer: Debian Desktop Team <debian-desktop@lists.debian.org>
 Uploaders: Yves-Alexis Perez <corsac@debian.org>,
            Aurélien COUDERC <coucouf@debian.org>,
            Jonathan Carter <jcc@debian.org>
 Build-Depends: debhelper (>= 13),
+               inkscape,
                librsvg2-bin,
                optipng,
 # For the number in debian-logo-text
