## desktop-base 12.0.5

=== debian/changelog ===
desktop-base (12.0.5) unstable; urgency=medium

  * Make the GDM Debian footer slightly smaller.
  * Even lighter Debian 12 text on emerald grub to improve grub text
    readability.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 01 Mar 2023 23:22:32 +0100

desktop-base (12.0.4) unstable; urgency=medium

  * Add Debian swirl in circle as default profile icon for new users.
  * Add more sizes for the Emerald wallpaper. (Closes: #1027841)
  * Improvements to emerald plymouth theme’s visuals.
  * Bump Standards-Version to 4.6.2, no change required.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 28 Feb 2023 00:21:39 +0100

desktop-base (12.0.3) unstable; urgency=medium

  * Update plymouth theme to implement Juliette’s proposal.
  * Fix and improve Plasma desktop customization. (Closes: #954093)
  * Update logos to Debian version 12. (Closes: #1026464)
  * Improve grub theme. (Closes: #1027301)
  * Remove older debian version numbers from assets. (Closes: #989822)
  * Fix missing links in joy inksplat theme. (Closes: #1023148)
  * Migrate wallpaper metadata from ini to json.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 18 Feb 2023 23:57:31 +0100
