## desktop-base 12.0.6

=== debian/changelog ===
desktop-base (12.0.6) unstable; urgency=medium

  * Fix LUKS password not being shown in multi-screen setup with mixed aspect
    ratios.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 13 Apr 2023 21:58:23 +0200
