## desktop-base 12.0.6%2Bnmu1

=== lines-theme/grub/Makefile ===
--- 
+++ 
@@ -17,11 +17,13 @@
 	$(INSTALL_DATA) $(wildcard *.png *.sh) $(DESTDIR)/$(dir)
 
 grub-4x3.png: grub-4x3.svg
-	rsvg-convert $< -o $@.raw
+	inkscape --export-filename=$@ $<
+	mv $@ $@.raw
 	optipng $@.raw -out $@
 
 grub-16x9.png: grub-16x9.svg
-	rsvg-convert $< -o $@.raw
+	inkscape --export-filename=$@ $<
+	mv $@ $@.raw
 	optipng $@.raw -out $@
 
 include ../../Makefile.inc
