=== debian/changelog ===
desktop-base (12.0.6+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * prerm: Remove the emerald alternatives, too.  (Closes: #1035431)

 -- Andreas Beckmann <anbe@debian.org>  Fri, 30 Jun 2023 12:36:56 +0200
