## desktop-base 12.0.6+nmu1~deb12u1

=== debian/changelog ===
desktop-base (12.0.6+nmu1~deb12u1) bookworm; urgency=medium

  * Non-maintainer upload.
  * Rebuild for bookworm.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 12 Jul 2023 11:49:12 +0200
