=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
 # For the number in debian-logo-text
                fonts-quicksand,
 Rules-Requires-Root: no
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://www.debian.org/devel/debian-desktop/
 Vcs-Browser: https://salsa.debian.org/debian-desktop-team/desktop-base
 Vcs-Git: https://salsa.debian.org/debian-desktop-team/desktop-base.git
